--
-- CA_STRUCTURE
--
CREATE TABLE GRHUM.CA_STRUCTURE
(
  CAST_ORDRE         NUMBER                  NOT NULL,
  C_STRUCTURE        VARCHAR2(10)            NOT NULL,
  CAST_ANNEE         NUMBER(4),
  CAST_CA            NUMBER,
  D_CREATION         DATE                    DEFAULT SYSDATE NOT NULL,
  D_MODIFICATION     DATE                    DEFAULT SYSDATE NOT NULL  
)
TABLESPACE DATA_GRHUM
LOGGING  
NOCACHE
NOPARALLEL;

COMMENT ON TABLE GRHUM.CA_STRUCTURE IS 'Table d''historique du Chiffre d''Affaire d''une structure.';

COMMENT ON COLUMN GRHUM.CA_STRUCTURE.CAST_ORDRE IS 'Clef primaire de la table CA_STRUCTURE';

COMMENT ON COLUMN GRHUM.CA_STRUCTURE.C_STRUCTURE IS 'Clef étrangère vers la table STRUCTURE_ULR';

COMMENT ON COLUMN GRHUM.CA_STRUCTURE.CAST_ANNEE IS 'Année du chiffre d''affaire.';

COMMENT ON COLUMN GRHUM.CA_STRUCTURE.CAST_CA IS 'Chiffre d''affaire de la structure pour une année.';

COMMENT ON COLUMN GRHUM.CA_STRUCTURE.D_CREATION IS 'Date de création de l''enregistrement.';

COMMENT ON COLUMN GRHUM.CA_STRUCTURE.D_MODIFICATION IS 'Date de modification de l''enregistrement.';

-- Contraintes
CREATE INDEX GRHUM.IDX_CAST_C_STRUCTURE ON GRHUM.CA_STRUCTURE(C_STRUCTURE) TABLESPACE INDX_GRHUM LOGGING NOPARALLEL;

CREATE UNIQUE INDEX GRHUM.PK_CA_STRUCTURE ON GRHUM.CA_STRUCTURE(CAST_ORDRE) TABLESPACE INDX_GRHUM LOGGING NOPARALLEL;

ALTER TABLE GRHUM.CA_STRUCTURE ADD (CONSTRAINT PK_CA_STRUCTURE PRIMARY KEY (CAST_ORDRE));

ALTER TABLE GRHUM.CA_STRUCTURE ADD (CONSTRAINT CA_STRUCTURE_REF_STRUCTURE FOREIGN KEY (C_STRUCTURE) REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE));

-- Séquence
CREATE SEQUENCE GRHUM.CA_STRUCTURE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCACHE NOCYCLE NOORDER; 
